SET (CMAKE_C_FLAGS_DEBUG "-ggdb3 -O0 -ftest-coverage -Wcoverage-mismatch ${CMAKE_C_FLAGS_DEBUG}")
SET (CMAKE_C_FLAGS_RELEASE "-O2 ${CMAKE_C_FLAGS_RELEASE}")
IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
  SET (VALA_DEBUG "-g")
ENDIF ()
SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w") # supress Gcc warnings

# FreeBSD: Clang linker uses '/usr/local/lib' directory
IF (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    SET (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -L/usr/local/lib")
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L/usr/local/lib")
ENDIF ()
